{
  "type": "minecraft:block",
  "pools": [
    {
      "rolls": 1,
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:poisonous_potato",
          "functions": [
            {
              "function": "set_components",
              "components": {
                "!food": {},
                "!consumable": {},
                "custom_data": {
                  "IsFlintFlake":true,
                  "or_edited_item":true,
                  "or_no_edit": true
                },
                "minecraft:item_name": {
                  "translate": "item.overlyrealistic.flint_flake",
                  "fallback": "Flint Flake",
                  "color": "white"
                },
                "rarity": "common",
                "minecraft:enchantments": {
                  "overly_realistic:or_internal_flint_flake": 1
                },
                "minecraft:enchantment_glint_override": false,
                "minecraft:tooltip_display": {
                  "hidden_components": [
                    "minecraft:enchantments"
                  ]
                },
                "max_stack_size": 1,
                "item_model": "overlyrealistic:items/flint_flake"
              }
            }
          ]
        }
      ]
    }
  ]
}